"Erro: Contador de pacotes quebrados>0" [RESOLVIDO]

1. "Erro: Contador de pacotes quebrados>0" [RESOLVIDO]

Caio Gomes Piteli
caio_ptli

(usa Ubuntu)

Enviado em 16/05/2021 - 18:04h

Boa noite! Eu sou novo no linux e recentemente coloquei-o para fazer as atualizações que foram solicitadas pelo sistema. Após essa atualização, eu recebi um erro e agora tenho um ícone no canto superior da minha tela dizendo que um erro ocorreu e o erro é o "Erro: Contador de pacotes quebrados>0". Pesquisei algumas coisas sobre e muitas pessoas falaram que talvez um "sudo apt-get install -f" resolveria, mas quando executo esse comando ele me retorna um erro. Vou colocar logo em seguida. Ficaria muito grato se alguém conseguir me ajudar, desde já, muito obrigado.

A descompactar linux-image-5.10.0-1026-oem (5.10.0-1026.27) ...
dpkg: erro ao processar o arquivo /var/cache/apt/archives/linux-image-5.10.0-1026-oem_5.10.0-1026.27_amd64.deb (--unpack):
não foi possível abrir '/boot/vmlinuz-5.10.0-1026-oem.dpkg-new': Operação não permitida
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/linux-image-5.10.0-1026-oem_5.10.0-1026.27_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)



  


2. Re: "Erro: Contador de pacotes quebrados>0" [RESOLVIDO]

Mauriciodez
Mauriciodez

(usa Debian)

Enviado em 17/05/2021 - 13:59h


caio_ptli escreveu:

Boa noite! Eu sou novo no linux e recentemente coloquei-o para fazer as atualizações que foram solicitadas pelo sistema. Após essa atualização, eu recebi um erro e agora tenho um ícone no canto superior da minha tela dizendo que um erro ocorreu e o erro é o "Erro: Contador de pacotes quebrados>0". Pesquisei algumas coisas sobre e muitas pessoas falaram que talvez um "sudo apt-get install -f" resolveria, mas quando executo esse comando ele me retorna um erro. Vou colocar logo em seguida. Ficaria muito grato se alguém conseguir me ajudar, desde já, muito obrigado.

A descompactar linux-image-5.10.0-1026-oem (5.10.0-1026.27) ...
dpkg: erro ao processar o arquivo /var/cache/apt/archives/linux-image-5.10.0-1026-oem_5.10.0-1026.27_amd64.deb (--unpack):
não foi possível abrir '/boot/vmlinuz-5.10.0-1026-oem.dpkg-new': Operação não permitida
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/linux-image-5.10.0-1026-oem_5.10.0-1026.27_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


Poste todo o conteúdo, do comando dado até o final !!!

------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------




3. "Erro: Contador de pacotes quebrados>0"

Caio Gomes Piteli
caio_ptli

(usa Ubuntu)

Enviado em 17/05/2021 - 14:26h

Opa, desculpe. Aqui está:

[email protected]:~$ sudo apt-get install -f
[sudo] senha para piteli:
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
apt-clone archdetect-deb dctrl-tools dmraid gir1.2-timezonemap-1.0
gir1.2-xkl-1.0 kpartx kpartx-boot libdebian-installer4 libdmraid1.0.0.rc16
libtimezonemap-data libtimezonemap1 python3-icu python3-pam rdate
Utilize 'sudo apt autoremove' para os remover.
The following additional packages will be installed:
linux-image-5.10.0-1026-oem
Pacotes sugeridos:
fdutils linux-oem-5.10-tools
Os NOVOS pacotes a seguir serão instalados:
linux-image-5.10.0-1026-oem
0 pacotes atualizados, 1 pacotes novos instalados, 0 a serem removidos e 7 não atualizados.
3 pacotes não totalmente instalados ou removidos.
É preciso baixar 0 B/9.677 kB de arquivos.
Depois desta operação, 12,6 MB adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] s
(Lendo banco de dados ... 253492 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../linux-image-5.10.0-1026-oem_5.10.0-1026.27_amd64.deb ...
A descompactar linux-image-5.10.0-1026-oem (5.10.0-1026.27) ...
dpkg: erro ao processar o arquivo /var/cache/apt/archives/linux-image-5.10.0-1026-oem_5.10.0-1026.27_amd64.deb (--unpack):
não foi possível abrir '/boot/vmlinuz-5.10.0-1026-oem.dpkg-new': Operação não permitida
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/linux-image-5.10.0-1026-oem_5.10.0-1026.27_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)



4. Re:

Mauriciodez
Mauriciodez

(usa Debian)

Enviado em 17/05/2021 - 15:01h

a principio tenta aí

sudo apt install --reinstall linux-image-5.10.0-1026-oem 


se não der certo tenta remover o meliante
sudo apt remove linux-image-5.10.0-1026-oem 


EDIT: esse erro aí creio que não é por causa das atualizações, muito certo de ser pq vc instalou algum coisa aí !!!

------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------




5. "Erro: Contador de pacotes quebrados>0"

Caio Gomes Piteli
caio_ptli

(usa Ubuntu)

Enviado em 17/05/2021 - 15:17h

Acabei de tentar aqui, os dois me retornaram um erro.


[email protected]:~$ sudo apt install --reinstall linux-image-5.10.0-1026-oem
[sudo] senha para piteli:
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
apt-clone archdetect-deb dctrl-tools dmraid gir1.2-timezonemap-1.0
gir1.2-xkl-1.0 kpartx kpartx-boot libdebian-installer4 libdmraid1.0.0.rc16
libtimezonemap-data libtimezonemap1 python3-icu python3-pam rdate
Utilize 'sudo apt autoremove' para os remover.
Pacotes sugeridos:
fdutils linux-oem-5.10-tools
Os NOVOS pacotes a seguir serão instalados:
linux-image-5.10.0-1026-oem
0 pacotes atualizados, 1 pacotes novos instalados, 0 a serem removidos e 9 não atualizados.
3 pacotes não totalmente instalados ou removidos.
É preciso baixar 0 B/9.677 kB de arquivos.
Depois desta operação, 12,6 MB adicionais de espaço em disco serão usados.
(Lendo banco de dados ... 253492 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../linux-image-5.10.0-1026-oem_5.10.0-1026.27_amd6
4.deb ...
A descompactar linux-image-5.10.0-1026-oem (5.10.0-1026.27) ...
dpkg: erro ao processar o arquivo /var/cache/apt/archives/linux-image-5.10.0-102
6-oem_5.10.0-1026.27_amd64.deb (--unpack):
não foi possível abrir '/boot/vmlinuz-5.10.0-1026-oem.dpkg-new': Operação não p
ermitida
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/linux-image-5.10.0-1026-oem_5.10.0-1026.27_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)



[email protected]:~$ sudo apt remove linux-image-5.10.0-1026-oem
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
O pacote 'linux-image-5.10.0-1026-oem' não está instalado, por isso não será removido
Você pode querer executar 'apt --fix-broken install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
linux-image-oem-20.04b : Depende: linux-image-5.10.0-1026-oem mas não será instalado
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução).



Se eu rodar esse comando "apt --fix-broken install" ele me retorna:
[email protected]:~$ apt --fix-broken install
E: Não foi possível abrir arquivo de trava /var/lib/dpkg/lock-frontend - open (13: Permissão negada)
E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), are you root?


Estou perdidinho!


6. Re: "Erro: Contador de pacotes quebrados>0" [RESOLVIDO]

Mauriciodez
Mauriciodez

(usa Debian)

Enviado em 17/05/2021 - 15:25h


caio_ptli escreveu:
Se eu rodar esse comando "apt --fix-broken install" ele me retorna:
[email protected]:~$ apt --fix-broken install
E: Não foi possível abrir arquivo de trava /var/lib/dpkg/lock-frontend - open (13: Permissão negada)
E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), are you root?

Estou perdidinho!


tem que rodar como root

sudo apt --fix-broken install 


------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------




7. "Erro: Contador de pacotes quebrados>0"

Caio Gomes Piteli
caio_ptli

(usa Ubuntu)

Enviado em 17/05/2021 - 15:30h

Ops, vacilo meu. Mas mesmo assim não deu certo, pelo o que eu entendi (pouco), ele não consegue instalar o "linux-image-5.10.0-102
6-oem_5.10.0-1026.27_amd64.deb" porque não está permitindo o "/boot/vmlinuz-5.10.0-1026-oem.dpkg-new': Operação não permitida".



[email protected]:~$ sudo apt --fix-broken install
[sudo] senha para piteli:
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
apt-clone archdetect-deb dctrl-tools dmraid gir1.2-timezonemap-1.0
gir1.2-xkl-1.0 kpartx kpartx-boot libdebian-installer4 libdmraid1.0.0.rc16
libtimezonemap-data libtimezonemap1 python3-icu python3-pam rdate
Utilize 'sudo apt autoremove' para os remover.
The following additional packages will be installed:
linux-image-5.10.0-1026-oem
Pacotes sugeridos:
fdutils linux-oem-5.10-tools
Os NOVOS pacotes a seguir serão instalados:
linux-image-5.10.0-1026-oem
0 pacotes atualizados, 1 pacotes novos instalados, 0 a serem removidos e 9 não atualizados.
3 pacotes não totalmente instalados ou removidos.
É preciso baixar 0 B/9.677 kB de arquivos.
Depois desta operação, 12,6 MB adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] s
(Lendo banco de dados ... 253492 ficheiros e directórios actualmente instalados.
)
A preparar para desempacotar .../linux-image-5.10.0-1026-oem_5.10.0-1026.27_amd6
4.deb ...
A descompactar linux-image-5.10.0-1026-oem (5.10.0-1026.27) ...
dpkg: erro ao processar o arquivo /var/cache/apt/archives/linux-image-5.10.0-102
6-oem_5.10.0-1026.27_amd64.deb (--unpack):
não foi possível abrir '/boot/vmlinuz-5.10.0-1026-oem.dpkg-new': Operação não p
ermitida
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/linux-image-5.10.0-1026-oem_5.10.0-1026.27_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)




8. Re: "Erro: Contador de pacotes quebrados>0" [RESOLVIDO]

Mauriciodez
Mauriciodez

(usa Debian)

Enviado em 17/05/2021 - 15:34h


vamos então organizar primeiro a parada aí ...
sudo apt autoremove 
... não de enter ... poste a saída do comando pra eu ver o que vai ser removido pq de repente pode estar quebrado o linux aí ... depois de organizar a gente trata da encrenca desse pacote

------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------




9. Re: "Erro: Contador de pacotes quebrados>0" [RESOLVIDO]

Caio Gomes Piteli
caio_ptli

(usa Ubuntu)

Enviado em 17/05/2021 - 15:50h


Mauriciodez escreveu:


vamos então organizar primeiro a parada aí ...
sudo apt autoremove 
... não de enter ... poste a saída do comando pra eu ver o que vai ser removido pq de repente pode estar quebrado o linux aí ... depois de organizar a gente trata da encrenca desse pacote

------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------




Como assim não dar enter? Eu escrevi esse comando no console, mas não aconteceu nada.




10. Re: "Erro: Contador de pacotes quebrados>0" [RESOLVIDO]

Mauriciodez
Mauriciodez

(usa Debian)

Enviado em 17/05/2021 - 15:54h


caio_ptli escreveu:

Como assim não dar enter? Eu escrevi esse comando no console, mas não aconteceu nada.



não jovem ... não dar enter que eu quis dizer foi para não confirmar a auto exclusão das paradas, depois do comando tem que dar o enter

------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------




11. "Erro: Contador de pacotes quebrados>0"

Caio Gomes Piteli
caio_ptli

(usa Ubuntu)

Enviado em 17/05/2021 - 15:59h

Poxa, foi mal! Estranho, essas coisas que estão com erro são importantes né!? Mas está aqui:

[email protected]:~$ sudo apt autoremove
[sudo] senha para piteli:
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Você pode querer executar 'apt --fix-broken install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
linux-image-oem-20.04b : Depende: linux-image-5.10.0-1026-oem mas não está instalado
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução).



12. Re: "Erro: Contador de pacotes quebrados>0" [RESOLVIDO]

Mauriciodez
Mauriciodez

(usa Debian)

Enviado em 17/05/2021 - 16:04h


caio_ptli escreveu:

Poxa, foi mal! Estranho, essas coisas que estão com erro são importantes né!? Mas está aqui:

[email protected]:~$ sudo apt autoremove
[sudo] senha para piteli:
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Você pode querer executar 'apt --fix-broken install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
linux-image-oem-20.04b : Depende: linux-image-5.10.0-1026-oem mas não está instalado
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução).


não era pra dar isso não, mas enfim, vida que segue e vamos tentar arrumar a tranqueira aí ... manda aí

grep 'linux-image' /var/lib/dpkg/status  


------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------





01 02 03



Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts